List commands
Retrieve currently registered commands.
GET
/api/commandQuery parameters
locationobject | anyResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataCommand.Info[]requiredShow propertiesHide properties
Array of
Command.InfonamestringrequiredtemplatestringrequireddescriptionstringagentstringmodelModel.RefShow propertiesHide properties
idstringrequiredproviderIDstringrequiredvariantstringsubtaskboolean400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/command"const response = await fetch("/api/command", {
method: "GET"
});import requests
response = requests.get(
"/api/command",
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": [
{
"name": "string",
"template": "string",
"description": "string",
"agent": "string",
"model": {
"id": "string",
"providerID": "string",
"variant": "string"
},
"subtask": true
}
]
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}